function [X,S, lambda, mu, eta, alpha] = kdc_cvx(G,k)

% Solves the k-clique problem for given graph G and number of cliques k
% using our convex formulation and cvx.

n = length(G);
  
cvx_begin
  variable X(n,n) symmetric
  dual variable lambda;
  dual variable lbar;
  dual variable eta;
  dual variable alpha;
  dual variable S;
  maximize trace(G*X)
  subject to
    lambda: X * ones(n,1) <= 1
    lbar: X'*ones(n,1) <= 1    
    eta: X>= 0
    S: X == semidefinite(n)
    alpha: trace(X) == k
cvx_end